<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="isAddShow"
            type="boolean" />

        <import type="android.view.View" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/main_bg_color"
        tools:context=".ui.main.MainActivity">


        <com.rdiot.yx485.view.MyViewPager
            android:id="@+id/viewPager"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            app:layout_constraintBottom_toTopOf="@id/tab_layout"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_mask"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="#1e000000"
            android:orientation="vertical"
            android:visibility="@{isAddShow?View.VISIBLE:View.GONE}"
            app:layout_constraintBottom_toTopOf="@id/tab_layout"
            app:layout_constraintTop_toTopOf="parent">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="23dp"
                android:background="@drawable/bg_popup_main_add"
                android:orientation="horizontal"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="22dp"
                        android:layout_height="22dp"
                        android:layout_marginStart="30dp"
                        android:layout_marginTop="16dp"
                        android:layout_marginEnd="10dp"
                        android:layout_marginBottom="16dp"
                        app:srcCompat="@mipmap/icon_tab_me_sel" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginEnd="16dp"
                        android:gravity="center"
                        android:text="@string/room" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="22dp"
                        android:layout_height="22dp"
                        android:layout_marginStart="16dp"
                        android:layout_marginTop="16dp"
                        android:layout_marginEnd="10dp"
                        android:layout_marginBottom="16dp"
                        app:srcCompat="@mipmap/icon_tab_add_sel" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginEnd="30dp"
                        android:gravity="center"
                        android:text="@string/scenes" />

                </LinearLayout>


            </LinearLayout>


        </androidx.constraintlayout.widget.ConstraintLayout>


        <com.google.android.material.tabs.TabLayout
            android:id="@+id/tab_layout"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:background="@color/white"
            app:layout_constraintBottom_toBottomOf="parent"
            app:tabBackground="@android:color/transparent"
            app:tabIndicatorHeight="0dp"
            app:tabRippleColor="@android:color/transparent" />



    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>